import { Hono } from "hono";

const info = new Hono();

info.get("/", (c) => {
    const konfigStore = c.get("konfigStore");

    const json = {
        "external_videoplayback_proxy":
            Deno.env.get("EXTERNAL_VIDEOPLAYBACK_PROXY") ||
            konfigStore.get(
                "networking.external_videoplayback_proxy",
            ) as string,
    };
    return new Response(JSON.stringify(json), {
        status: 200,
        headers: { "Content-Type": "application/json" },
    });
});

export default info;
